package com.gh.gamecenter.entity

import android.os.Parcelable
import com.gh.gamecenter.common.entity.LinkEntity
import com.gh.gamecenter.feature.entity.PersonalEntity
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

data class GameCollectionPlayerCreationEntity(
    @SerializedName("tip_link")
    val tipLink: LinkEntity? = null,
    val data: List<PlayerCreationItem>? = ArrayList()
)

@Parcelize
data class GameCollectionListEntity(
    @SerializedName("_id")
    val id: String = "",
    val name: String = "",
    val explain: String = "",
    var position: Int = -1
) : Parcelable

data class PlayerCreationItem(
    val user: PersonalEntity? = null,
    @SerializedName("game_list")
    val gameList: GamesCollectionEntity? = null
)
